package com.pcloud.book.book.dto;

import com.pcloud.common.dto.BaseDto;
import io.swagger.annotations.ApiModelProperty;

/**
 * 图书分析DTO
 */
public class BookInfoAnalysicsDTO extends BaseDto {

    @ApiModelProperty("图书ID")
    private Long bookId;
    @ApiModelProperty("图书名字")
    private String bookName;
    @ApiModelProperty("运营平台ID")
    private Long channelId;
    @ApiModelProperty("编辑ID")
    private Long adviserId;
    @ApiModelProperty("分类ID")
    private Long templetId;
    @ApiModelProperty("分类名字")
    private String templeName;
    @ApiModelProperty("是否基金书籍")
    private Boolean isFundSupport;
    @ApiModelProperty("ISBN")
    private String isbn;

    public Long getBookId() {
        return bookId;
    }

    public void setBookId(Long bookId) {
        this.bookId = bookId;
    }

    public String getBookName() {
        return bookName;
    }

    public void setBookName(String bookName) {
        this.bookName = bookName;
    }

    public Long getChannelId() {
        return channelId;
    }

    public void setChannelId(Long channelId) {
        this.channelId = channelId;
    }

    public Long getAdviserId() {
        return adviserId;
    }

    public void setAdviserId(Long adviserId) {
        this.adviserId = adviserId;
    }

    public Long getTempletId() {
        return templetId;
    }

    public void setTempletId(Long templetId) {
        this.templetId = templetId;
    }

    public Boolean getIsFundSupport() {
        return isFundSupport;
    }

    public void setIsFundSupport(Boolean isFundSupport) {
        this.isFundSupport = isFundSupport;
    }

    public String getTempleName() {
        return templeName;
    }

    public void setTempleName(String templeName) {
        this.templeName = templeName;
    }

    public String getIsbn() {
        return isbn;
    }

    public void setIsbn(String isbn) {
        this.isbn = isbn;
    }

    @Override
    public String toString() {
        return "BookInfoAnalysicsDTO{" +
                "bookId=" + bookId +
                ", bookName='" + bookName + '\'' +
                ", channelId=" + channelId +
                ", adviserId=" + adviserId +
                ", templetId=" + templetId +
                ", templeName='" + templeName + '\'' +
                ", isFundSupport=" + isFundSupport +
                ", isbn='" + isbn + '\'' +
                '}';
    }
}
